{
  description = "System Configuration Flake";

  inputs = {
    nixpkgs = {
      url = "github:NixOS/nixpkgs/nixos-unstable";
    };
    
    home-manager = {
      url = "github:nix-community/home-manager/master";
        inputs.nixpkgs.follows = "nixpkgs";
    };

    hyprland.url = "github:hyprwm/Hyprland";
  };

  outputs = { 
    nixpkgs,
    home-manager,
    hyprland,
    ...
  }: {

    nixpkgs.hostPlatform = "x86_64-linux";
      

    pkgs = import nixpkgs {
      #config.allowUnfree = true;
    };


    nixosConfigurations = {

      hostname = nixpkgs.lib.nixosSystem {
        modules = [
	  ./configuration.nix
	  home-manager.nixosModules.home-manager
	  {
	  home-manager.useGlobalPkgs = true;
	  home-manager.useUserPackages = false;
	  home-manager.users.stitchynyan = import ./users/stitchynyan/home.nix ;
	  }
	  hyprland.homeManagerModules.default
          {wayland.windowManager.hyprland.enable = true;}
	];
      };
    };
  };
}
